import request from '@/utils/request'

// 创建新的测算表
export function createAssetsCalculate(params) {
    return request.post('/assetsCalculate/save', params)
}

// 获取未完成测算表进度信息
export function getUnFinishedCalculateProgress(params) {
    return request.get(`/assetsCalculate/getUnFinishedCalculateProgress/${params}`)
}

// 导入机器设备信息
export function importEqptExcelData(params) {
    return request.post('/assetsCalculate/importEqptExcelData', params)
}

// 更新测算表基础测算信息
export function updateCalculateBaseInfo(params) {
    return request.put('/assetsCalculate/updateCalculateBaseInfo', params)
}

// 生成资产机器设备测算表
export function generateEquipmentCalculate(params) {
    return request.get(`/assetsCalculate/generateEquipmentCalculate/${params}`)
}

// 根据id查询项目下所有测算表
export function listAllByProjectId(params) {
    return request.get(`/assetsCalculate/listAllByProjectId/${params}`)
}